Freeciv-3.1: /fast/freeciv/nightly/S3_1/common/scriptcore/tolua_common_a_gen.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
tolua_common_a_gen.c File Reference
`#include "tolua.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "api_common_intl.h"`
`#include "api_common_utilities.h"`
`#include "luascript.h"`
`#include "luascript_types.h"`

Go to the source code of this file.

## Functions

int | tolua_bnd_takeownership (lua_State *L)
TOLUA_API int | tolua_common_a_open (lua_State *tolua_S)
LUALIB_API int | luaopen_common_a (lua_State *tolua_S)
static void | tolua_reg_types (lua_State *tolua_S)
static int | tolua_common_a__00 (lua_State *tolua_S)
static int | tolua_common_a_N_00 (lua_State *tolua_S)
static int | tolua_common_a_Q_00 (lua_State *tolua_S)
static int | tolua_common_a_PL_00 (lua_State *tolua_S)
static int | tolua_common_a_log_base00 (lua_State *tolua_S)
static int | tolua_common_a_log_deprecation_warning00 (lua_State *tolua_S)
static int | tolua_common_a_random00 (lua_State *tolua_S)
static int | tolua_common_a_fc_version00 (lua_State *tolua_S)

## Function Documentation

## ◆ luaopen_common_a()

LUALIB_API int luaopen_common_a | ( | lua_State * | tolua_S | ) |

Definition at line 268 of file tolua_common_a_gen.c.

Referenced by tolua_common_a_open().

## ◆ tolua_bnd_takeownership()

int tolua_bnd_takeownership | ( | lua_State * | L | ) |

## ◆ tolua_common_a__00()

static int tolua_common_a__00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 36 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_common_a_fc_version00()

static int tolua_common_a_fc_version00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 242 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_common_a_log_base00()

static int tolua_common_a_log_base00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 152 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_common_a_log_deprecation_warning00()

static int tolua_common_a_log_deprecation_warning00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 181 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_common_a_N_00()

static int tolua_common_a_N_00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 64 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_common_a_open()

TOLUA_API int tolua_common_a_open | ( | lua_State * | tolua_S | ) |

Definition at line 717 of file tolua_common_a_gen.c.

Referenced by script_client_init(), script_fcdb_init(), and script_server_init().

## ◆ tolua_common_a_PL_00()

static int tolua_common_a_PL_00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 120 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_common_a_Q_00()

static int tolua_common_a_Q_00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 92 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_common_a_random00()

static int tolua_common_a_random00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 212 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().

## ◆ tolua_reg_types()

static void tolua_reg_types | ( | lua_State * | tolua_S | ) |

static

Definition at line 30 of file tolua_common_a_gen.c.

Referenced by luaopen_common_a().